ZIPCMP(1) | General Commands Manual | ZIPCMP(1)

# NAME

`zipcmp` —
compare contents of zip archives

# SYNOPSIS

`zipcmp` | [`-hipqtVv`] archive1 archive2

# DESCRIPTION

`zipcmp` compares the zip archives or directories archive1 and archive2 and checks if they contain the same files, comparing their names, uncompressed sizes, and CRCs. File order and compressed size differences are ignored.

Supported options:

`-h`
  Display a short help message and exit.
`-i`
  Compare names ignoring case distinctions.
`-p`
  Enable paranoid checks. Compares extra fields and other meta data. (Automatically disabled if one of the archives is a directory.)
`-q`
  Quiet mode. Compare `-v`.
`-t`
  Test zip files by comparing the contents to their checksums.
`-V`
  Display version information and exit.
`-v`
  Verbose mode. Print details about differences to stdout. (This is the default.)

# EXIT STATUS

`zipcmp` exits 0 if the two archives contain the same files, 1 if they differ, and >1 if an error occurred.

# SEE ALSO

zipmerge(1), ziptool(1), libzip(3)

# HISTORY

`zipcmp` was added in libzip 0.6.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35